/******************************************************************************/
/*                                                                            */
/*                Advanced Navigation Packet Protocol Library                 */
/*                    Java Language Motus SDK, Version 7.0                    */
/*                    Copyright 2023, Advanced Navigation                     */
/*                                                                            */
/******************************************************************************/
/*
 * Copyright (C) 2023 Advanced Navigation
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

package com.advancednavigation.anPackets;

/* DCM Orientation */
public class ANPacket41
{
	public final static int LENGTH = 36;

	public float DCM_0_0;
	public float DCM_0_1;
	public float DCM_0_2;
	public float DCM_1_0;
	public float DCM_1_1;
	public float DCM_1_2;
	public float DCM_2_0;
	public float DCM_2_1;
	public float DCM_2_2;

	public ANPacket41(ANPacket packet)
	{
		DCM_0_0 = TypeConversion.bytesToFloat(packet.data, 0);
		DCM_0_1 = TypeConversion.bytesToFloat(packet.data, 4);
		DCM_0_2 = TypeConversion.bytesToFloat(packet.data, 8);
		DCM_1_0 = TypeConversion.bytesToFloat(packet.data, 12);
		DCM_1_1 = TypeConversion.bytesToFloat(packet.data, 16);
		DCM_1_2 = TypeConversion.bytesToFloat(packet.data, 20);
		DCM_2_0 = TypeConversion.bytesToFloat(packet.data, 24);
		DCM_2_1 = TypeConversion.bytesToFloat(packet.data, 28);
		DCM_2_2 = TypeConversion.bytesToFloat(packet.data, 32);
	}
}
